package info.bukova.isspst.ui.workgroups;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

import info.bukova.isspst.data.Workgroup;
import info.bukova.isspst.services.workgroups.WorkgroupService;
import info.bukova.isspst.ui.ListViewModel;

public class WorkgroupList extends ListViewModel<Workgroup> {

	@WireVariable
	private WorkgroupService workgroupService;
	
	@Init
	public void init() {
		service = workgroupService;
		dataClass = Workgroup.class;
		formZul = "workgroupForm.zul";
	}
	
}
